Package sudoku.constraint

# Class LineConstraint

java.lang.Object
sudoku.constraint.LineConstraint

All Implemented Interfaces:
  `IConstraint`

public class LineConstraint extends Object implements IConstraint
Contrainte de ligne

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineConstraint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBePlaced(Sudoku s, int x, int y, int newSymbolIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineConstraint

    public LineConstraint()

- ## Method Details

  - ### canBePlaced

    public boolean canBePlaced(Sudoku s, int x, int y, int newSymbolIndex)
    Specified by:
      `canBePlaced` in interface `IConstraint`